GET
https://api.cryptohopper.com/v1/tournaments/{tournament_id}/trades
Returns the trades your tournament hopper made in a published tournament you joined.
OAuth scope:
read About scopes
Returns 403 when you did not join the tournament, and {"data": null} when your hopper has no trades yet. Only your own trades are returned.
Example request
curl "https://api.cryptohopper.com/v1/tournaments/TOURNAMENT_ID/trades" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/tournaments/TOURNAMENT_ID/trades', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/tournaments/TOURNAMENT_ID/trades",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/tournaments/TOURNAMENT_ID/trades');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
tournament_id |
string | Required | Numeric ID of the tournament. |
Response
{
"data": [
{
"id": "2633001",
"type": "buy",
"order_rate": "63150.1200000000000000",
"exchange": "binance",
"base": "BTC",
"quote": "USDT",
"order_trigger": "Strategy",
"order_date": "2026-09-28 10:15:00"
}
]
}